#!/bin/bash

getNewTRS(){
  if [[ ! $1 == *.trs ]]; then
    echo "ERROR: $1 not a TRS file"
    exit 1
  fi
  local n=$1
  echo ${n:0:-4}"-canonical"${n:(-4)}
}

if [ $# != 2 ]; then 
  echo "ERROR: A tags file is needed"
  echo "ERROR: A examples directory is needed"
  echo "./canonicalCSRs.sh [tag-file] [examples-directory]"
  exit 1
fi

if [ ! -f $1 ]; then
  echo "ERROR: $1 tag file not found"
  echo "./canonicalCSRs.sh [tag-file] [examples-directory]"
  exit 1
fi

if [ ! -d $2 ]; then
  echo "ERROR: $2 examples directory not found"
  echo "./canonicalCSRs.sh [tag-file] [examples-directory]"
  exit 1
fi

if [[ ! $1 == *.tag ]]; then
  echo "Warning: That's not a tag file, check it"
fi

while IFS="" read -r line
do
  newTRS=$(getNewTRS $line)
  echo $2$line "->" $2$newTRS
  ./muterm -c -i $2$line | sed 's/u42/*/g' | sed 's/u95/_/g' > $2$newTRS
done < $1
