#!/bin/bash

OUT_DIR="interesting-gen_trs/"
EXAMPLES_DIR="benchmarks/examples/"
EXAMPLES="examples/"
PROOFS="proofs/"
TMP_F="/tmp/int_trs.txt"
INTERESTING_SEARCHES_STRING="Extended u-Critical Pairs NonLHRV Processor;LH u-Critical Pairs Processor;Prover9;Converter;InfChecker"
IFS=';' read -ra INTERESTING_SEARCHES <<< $INTERESTING_SEARCHES_STRING


if [ $# != 1 ]; then 
  echo "A proofs directory is needed"
  echo "./cp-proofs.sh [proofs-directory]"
  exit 1
fi

if [ ! -d $1 ]; then
  echo "$1 directory not found"
  echo "./cp-proofs.sh [proofs-directory]"
  exit 1
fi

echo "" > $TMP_F

for s in "${INTERESTING_SEARCHES[@]}"; do
  res=$(grep -nrl "$s" $1 | sort -n)
  echo "---> For search ($s) this occurrences"
  echo "$res"
  echo ""
  echo "$res" >> $TMP_F
done

files=$(cat $TMP_F | sort -n)
for f in $files; do
  IFS='/' read -ra path_array <<< "$f"
  example_name=${path_array[@]:(-2):1}
  out_txt=${path_array[@]:(-1)}
  #command -V find
  exfdir=$(find $EXAMPLES_DIR -name $example_name)
  #echo "find $EXAMPLES_DIR -name $example_name"
  if [ -f $OUT_DIR$EXAMPLES$example_name ]; then
    echo "$example_name file already exists"
  else
    #command -V cp
    cp $exfdir "$OUT_DIR$EXAMPLES$example_name"
    #echo "cp $exfdir into $OUT_DIR$EXAMPLES$example_name"
    cp -r ${f%$out_txt} "$OUT_DIR$PROOFS$example_name/"
    #echo "cp ${f%$out_txt} into $OUT_DIR$PROOFS$example_name/"
  fi
done
