#!/bin/bash

if [ $# != 1 ]; then 
  echo "A proofs directory is needed"
  echo "./grep_special_examples.sh [proofs-directory]"
  exit 1
fi

if [ ! -d $1 ]; then
  echo "$1 directory not found"
  echo "./grep_special_examples.sh [proofs-directory]"
  exit 1
fi

files=$(grep -nrl "InfChecker" $1 | sort -n)

for f in $files; do
  if grep -q "Extended u-Critical Pairs NonLHRV Processor" $f && ! grep -q "No ECPs found" $f; then
    echo "$f"
    echo "ECPS"
    echo ""
  elif grep -q "The problem is joinable" $f; then
    echo "$f"
    echo "JOINABLE"
    echo ""
  else
    whatever=0
  fi
done
