#!/bin/bash

#IMPORTANT: remember to short-circuit LHRVProcessor before executing this script!
#IMPORTANT: it is recommended to comment ModularConfCombsTRSProcessor (mccTRSProc) on the strategy!

if [ $# != 1 ]; then 
  echo "A proofs directory is needed"
  echo "./lhrv_analysis.sh [proofs-directory]"
  return 1
fi

if [ ! -d $1 ]; then
  echo "$1 directory not found"
  echo "./lhrv_analysis.sh [proofs-directory]"
  return 1
else
  cd $1
fi


cstrs=0
lhrv=0

strTRS="R is not a CSTRS"
strLHRV="R satisfies LHRV condition"
strTRS="R is not a CSTRS"

files=$(ls | sort -n)
nfiles=0

for f in $files
do
  nfiles=$((nfiles+1))
  file="$f/out.txt"
  echo "------------------------------------------------------------------"
  echo $file
  if [[ $(cat $file | grep "$strTRS" | wc -l) -ge 1 ]]; then
    echo "CS-TRS: NO"
    echo "LHRV: YES"
  elif [[ $(cat $file | grep "$strLHRV" | wc -l) -ge 1 ]]; then
    echo "CS-TRS: YES"
    echo "LHRV: YES"
    cstrs=$((cstrs+1))
    lhrv=$((lhrv+1))
  else
    echo "CS-TRS: YES"
    echo "LHRV: NO"
    cstrs=$((cstrs+1))
  fi
	echo "------------------------------------------------------------------"
	echo ""
done
echo "------------------------------------------------------------------"
echo "----------------------C O N C L U S I O N S-----------------------"
echo "------------------------------------------------------------------"
echo ""
percCSTRS=$(echo "$((cstrs*100))/$nfiles" | bc -l)
percLHRV=$(echo "$((lhrv*100))/$nfiles" | bc -l)
percLHRVCSTRS=$(echo "$((lhrv*100))/$cstrs" | bc -l)
echo "Total CS-TRS: $cstrs"
echo "Total LHRV: $lhrv"
echo "Percentage of CS-TRS: $percCSTRS%"
echo "Percentage of examples which satisfies LHRV condition: $percLHRV%"
echo "Percentage of examples which satisfies LHRV condition (not including TRSs): $percLHRVCSTRS%"
echo "Total FILES analysed: $nfiles"

