{-# LANGUAGE FlexibleContexts,FlexibleInstances #-}
{-# LANGUAGE RecordWildCards #-}
{-# LANGUAGE PatternGuards, ViewPatterns #-}
{-# LANGUAGE TypeFamilies #-}
{-# LANGUAGE MultiParamTypeClasses #-}
{-# LANGUAGE UndecidableInstances #-}
{-# LANGUAGE TypeSynonymInstances #-}
{-# LANGUAGE EmptyDataDecls #-}
{-# LANGUAGE NoMonomorphismRestriction #-}
-----------------------------------------------------------------------------
-- |
-- Module      :  Framework.Output.Dot
-- Copyright   :  (c) muterm development team
-- License     :  see LICENSE
--
-- Maintainer  :  jiborra@dsic.upv.es
-- Stability   :  unstable
-- Portability :  non-portable
--
-- This module contains the proof functor.
--
-----------------------------------------------------------------------------

module Framework.Output.Dot where

import Control.Monad.Free
import Data.Foldable (Foldable, toList)
import Data.List
import Data.HashTable (hashString)

import Text.PrettyPrint.HughesPJClass as Doc hiding (Style)
import MuTerm.Framework.Problem
import MuTerm.Framework.Proof
import MuTerm.Framework.DotRep

-- ----
-- Dot
-- ----

instance {-# OVERLAPPABLE #-} (IsDPProblem typ, Pretty rules) => DotRep (Problem typ [rules]) where
  dot p = Text rep atts where
    atts = [ Shape BoxShape
           , Style (Stl Bold Nothing)
           , FontName "monospace"
           , FontSize 10
           , Margin (PVal (PointD 0.2 0.2))]
    rep = vcat
     [parens( text "PAIRS" $$
             nest 1 (vcat $ map pPrint (getP p)))
     ,parens( text "RULES" $$
             nest 1 (vcat $ map pPrint (getR p)))
     ]
