#!/bin/bash

if [ $# != 2 ]; then 
  echo "ERROR: A tags file is needed"
  echo "ERROR: A examples directory is needed"
  echo "./termination.sh [tag-file] [examples-directory]"
  exit 1
fi

if [ ! -f $1 ]; then
  echo "ERROR: $1 tag file not found"
  echo "./termination.sh [tag-file] [examples-directory]"
  exit 1
fi

if [ ! -d $2 ]; then
  echo "ERROR: $2 examples directory not found"
  echo "./canonicalCSRs.sh [tag-file] [examples-directory]"
  exit 1
fi

if [[ ! $1 == *.tag ]]; then
  echo "Warning: That's not a tag file, check it"
fi

declare -A term
term["YES"]=0
term["NO"]=0
term["MAYBE"]=0
total=0

tmpf="/tmp/term"

while IFS="" read -r f
do
  echo "------------------------------------------------------------------"
  echo $f
  total=$((total+1))
  ./muterm -t 60 -i $2$f | sed 's/u42/*/g' | sed 's/u95/_/g' > $tmpf
  resp=$(head -n 1 $tmpf)
  if [ "$resp" = "" ]; then
    resp="MAYBE"
  fi
  echo "Terminating: $resp"
  for k in "${!term[@]}"; do
    if [ "$resp" = "$k" ]; then
      term[$k]=$((${term[$k]}+1))
    fi
  done
	echo "------------------------------------------------------------------"
	echo ""
done < $1
echo "------------------------------------------------------------------"
echo "----------------------C O N C L U S I O N S-----------------------"
echo "------------------------------------------------------------------"
echo ""
echo "Total: $total"
for k in "${!term[@]}"; do
    echo "$k: ${term[$k]}"
    perc=$(echo "scale=2; $((${term[$k]}*100))/$total" | bc -l)
    echo "$k percentage $perc%"
done
#percCSTRS=$(echo "$((cstrs*100))/$nfiles" | bc -l)
#percLHRV=$(echo "$((lhrv*100))/$nfiles" | bc -l)
#percLHRVCSTRS=$(echo "$((lhrv*100))/$cstrs" | bc -l)
#echo "Total CS-TRS: $cstrs"
#echo "Total LHRV: $lhrv"
#echo "Percentage of CS-TRS: $percCSTRS%"
#echo "Percentage of examples which satisfies LHRV condition: $percLHRV%"
#echo "Percentage of examples which satisfies LHRV condition (not including TRSs): $percLHRVCSTRS%"
#echo "Total FILES analysed: $nfiles"
