#!/bin/bash

getNewTRS(){
  if [[ ! $1 == *.trs ]]; then
    echo "ERROR: $1 not a TRS file"
    exit 1
  fi
  local n=$1
  echo ${n:0:-4}"-canonical"${n:(-4)}
}

if [ $# != 1 ]; then
  echo "ERROR: A examples directory is needed"
  echo "./toTRS.sh [examples-directory]"
  exit 1
fi

if [ ! -d $1 ]; then
  echo "ERROR: $1 examples directory not found"
  echo "./toTRS.sh [examples-directory]"
  exit 1
fi

newDir=$1"trs/"
mkdir $newDir

stratCS=0

for f in `ls -A $1 | sort -n`
do
  while IFS="" read a; do
    if [ "$a" = "(STRATEGY CONTEXTSENSITIVE" ]; then
      stratCS=1
    fi
    if [[ $stratCS -eq 1 ]]; then
      if [ "$a" = ")" ]; then
        stratCS=0
      fi
    else
      echo $a
    fi
  done < $1$f > $newDir$f
done
